ErrorResponse
Response for any requested that occurs errors
typestringrequired
A tag or a link that categorize and explains the issue
Example:
tag:InvalidBodytitlestringrequired
A short, human-readable summary of the problem type
Example:
Invalid bodydetailstring | nullnullable
A human-readable explanation specific to this occurrence of the problem
Default value:
nullExample:
The request body is invaliderrors object[]
Errors that occurred during the request on the fields
Array [
detailstringrequired
A human-readable explanation specific to this occurrence of the problem
fieldstringrequired
The identifier of the field that is causing the issue
instancestring | nullnullable
A URI reference that identifies the specific occurrence of the problem
Default value:
nullExample:
https://example.com/errors/invalid-bodycodestring | nullnullable
Stable machine-readable code of the error, on the endpoints that define one (company contact cards); absent elsewhere
Example:
EMAIL_ALREADY_USEDparams object | null
Values of this occurrence for the code, such as the offending value
property name*string
]
instancestring | nullnullable
A URI reference that identifies the specific occurrence of the problem
Default value:
nullExample:
https://example.com/errors/invalid-bodyErrorResponse
{
"type": "tag:InvalidBody",
"title": "Invalid body",
"detail": "The request body is invalid",
"errors": [
{
"field": "a_field_name",
"detail": "required"
}
],
"instance": "https://example.com/errors/invalid-body"
}